<?php
include('../common/parseargs.php');
include('../common/getIbject.php');

$USAGE=" --userid=<userid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$USERID=$args_array['userid'];


if(!$USERID)
{
        echo "ERROR: --userid=<userid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$userObj = getUsers($USER,$PASS,$HOST,$PORT);

foreach($userObj->return as $tmp)
{
	if($tmp->id == $USERID)
	{
		$user = $tmp;
		break;
	}
}

try{

	$client = new soapclient("https://$HOST:$PORT/User?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deleteUser(array('user'=>$user));

	echo "Successfully executed deleteUser\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
